<?php
namespace Ep\Gath\Moto;

use Interop\Container\ContainerInterface;
use Zend\Form\FormInterface;
use Zend\ServiceManager\Factory\FactoryInterface;
use Zend\ServiceManager\PluginManagerInterface;

/**
 * Class SelectMotorcycleHandlerFactory
 *
 * @package Gath\Moto\Middleware
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/gath-moto
 */
class SelectMotorcycleHandlerFactory implements FactoryInterface
{
    /**
     * Create an object
     *
     * @param  ContainerInterface $container
     * @param  string $requestedName
     * @param  null|array $options
     *
     * @return object
     *
     * @throws \Psr\Container\ContainerExceptionInterface
     * @throws \Psr\Container\NotFoundExceptionInterface
     */
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null)
    {
        /** @var PluginManagerInterface $forms */
        $forms = $container->get('FormElementManager');
        return new SelectMotorcycleHandler($forms);
    }
}